Take the 2-minute tour ×
Ask Ubuntu is a question and answer site for Ubuntu users and developers. It's 100% free, no registration required.

Both my desktop and server installation are okay. Am I missing something important that would make an upgrade worth the hassle?

share|improve this question

3 Answers 3

up vote 15 down vote accepted

The short answer would be:

  • Server: no
  • Desktop: maybe

The old saying "If it ain't broken, don't fix it." is especially true when dealing with servers. While I did upgrade my server from 8.04 to 10.04, that was only because there were quite a bunch of new libraries I really wanted. Except for that 8.04 is still a solid release, and if there is nothing you explicitly feel is missing I definitely thing you should stay with it.

Regarding the desktop the choice is less obvious. The new 10.04 will most likely give a nicer and more polished "desktop experience". Also, you will notice a lot more improvements in the included desktop software than you generally do with the typical server daemons.

Still, your 8.04 desktop is working for you and while the same will probably go for the 10.04 desktop, a change always comes with the risk of something going wrong. What I guess it comes down to is how burdensome/possible it would be for you to re-install the 8.04 desktop in a worst case scenario.

share|improve this answer
6  
Just remember that the desktop version of Hardy will not be supported after april 2011. This really should make you think about upgrading, as security patches will not be availabe after that. If you're using the server version, you have up to april 2013, which means you can leave things as they are without too much concern. –  Little Jawa Jul 31 '10 at 7:09
    
@Little - One of the things I love the most about using LTS releases for servers is the long life cycle. Hardy is (imho) the best server release Canonical has made. –  Tim Post Jul 31 '10 at 15:36
1  
Whatever you don't like in Lucid, please please please make sure there is a bug report for it and if there is an existing one that you hit the "This affects me" link at the top. bugs.launchpad.net/ubuntu/lucid –  SpamapS Nov 4 '10 at 7:09

Yes, a huge amount of proactive security work was done between Hardy and Lucid. Just compare the security features list. For example, many security flaws would be exploitable on Hardy are at most a denial of service on Lucid.

share|improve this answer
    
Ohh, lots of good information at that wiki page. Thanks! –  andol Nov 4 '10 at 7:41

It depends what your needs are. Certainly, on desktop you are more likely to upgrade because applications and features change more and faster.

However, also the server has some new upgrades that can cut both ways. For instance php5 has been upgraded to 5.3 which has a lot of very relevant new features to the php language (namespacing, magic functions for static methods in objects etc.). However, a lot of older php applications are not compatible with php5.3. Therefore, you need to weigh if any of your old applications are effected and if you need those new features.

share|improve this answer

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Not the answer you're looking for? Browse other questions tagged or ask your own question.